curl --request POST \
--url https://incoming.qomon.app/v1/contacts/{contactId}/interactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"comments": "<string>",
"date_end": "2023-11-07T05:31:56Z",
"date_of_event": "2023-11-07T05:31:56Z",
"only_super_admin": true,
"tags": [
{
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 1,
"name": "<string>"
}
],
"title": "<string>"
}
'import requests
url = "https://incoming.qomon.app/v1/contacts/{contactId}/interactions"
payload = {
"address": "<string>",
"comments": "<string>",
"date_end": "2023-11-07T05:31:56Z",
"date_of_event": "2023-11-07T05:31:56Z",
"only_super_admin": True,
"tags": [
{
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 1,
"name": "<string>"
}
],
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<string>',
comments: '<string>',
date_end: '2023-11-07T05:31:56Z',
date_of_event: '2023-11-07T05:31:56Z',
only_super_admin: true,
tags: [
{color: '<string>', created_at: '2023-11-07T05:31:56Z', id: 1, name: '<string>'}
],
title: '<string>'
})
};
fetch('https://incoming.qomon.app/v1/contacts/{contactId}/interactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"comments": "<string>",
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"date_end": "2023-11-07T05:31:56Z",
"date_of_event": "2023-11-07T05:31:56Z",
"files": [
{
"created_at": "2023-11-07T05:31:56Z",
"folder": "<string>",
"group_id": 1,
"id": 1,
"mime": "<string>",
"name": "<string>",
"owner_id": 123,
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"group_id": 1,
"id": 1,
"only_super_admin": true,
"tags": [
{
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 1,
"name": "<string>"
}
],
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
},
"user_id": 1
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Log an interaction on a contact
Creates an interaction (call, letter, meeting, sms, email, donation, …) logged against a contact.
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Path Parameters
Contact ID.
x >= 042
Body
Physical address related to the interaction, if applicable (e.g., meeting location).
When the interaction actually took place, if different from when it was logged.
If true, only users with the private-interactions permission can see this interaction.
incoming, outgoing Tags to attach to the interaction. Provide an existing tag's id to reuse it, or omit id (with a name) to create a new tag. This list fully replaces the interaction's tags on update.
Show child attributes
Show child attributes
email, letter, call, meeting, sms, donation Response
Created
Physical address related to the interaction, if applicable. (e.g., meeting location)
ID of the contact associated with this interaction.
x >= 0List of files attached to the interaction.
Show child attributes
Show child attributes
x >= 0x >= 0If true, only user with specific permissions can see this interaction.
incoming, outgoing Tags attached to the interaction.
Show child attributes
Show child attributes
email, letter, call, meeting, sms, donation User who logged the interaction.
Show child attributes
Show child attributes
ID of the user who logged the interaction.
x >= 0Was this page helpful?

